Bug 522750 - Fedora Test Day:2009-09-10 Nouveau LiveCD freezes if booting with rhgb
Summary: Fedora Test Day:2009-09-10 Nouveau LiveCD freezes if booting with rhgb
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 10:09 UTC by A.C.Heron
Modified: 2018-04-11 11:42 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-23 08:22:34 UTC


Attachments (Terms of Use)

Description A.C.Heron 2009-09-11 10:09:05 UTC
Description of problem:
When booting, Fedora Test Day 2009-09-10 LiveCD freezes shortly before starting gdm. Removing 'rhgb' from the command line allows it to boot normally.

Version-Release number of selected component (if applicable):
Observed on Nvidia FX 5500 card

How reproducible:
Always

Steps to Reproduce:
Insert the LiveUSB and reboot the machine.
  
Actual results:
Boot process seems to go fine, but shortly before starting GDM the system shows the "waiting" mouse cursor and freezes.

Expected results:
Booting should continiue to GDM.

Additional info:
1. Observed on nVidia GeForce FX 5500 (NV34). Smolt profile: http://www.smolts.org/show?uuid=pub_2ae59c17-1d75-474d-81db-a034c4a1ad20
2. Removing 'rhgb' from the command line in syslinux/syslinux.cfg allows to boot.
3. The system occasionally freezes anyway, but I could not reproduce it and don't know if the bugs are related. This happens most often when scrolling pages in Firefox.

Comment 1 Adam Williamson 2009-09-17 20:32:52 UTC
setting triaged even though it would be nice to see logs, as there's probably no practical way to get at the logs concerned from the live image.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Matěj Cepl 2009-11-05 17:16:05 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 A.C.Heron 2009-11-07 21:50:52 UTC
The LiveCD images I've tested so far, up to http://alt.fedoraproject.org/pub/alt/stage/12-RC.3/Fedora-12-x86_64-Live/Fedora-12-x86_64-Live.iso with the date 07-Nov-2009 02:23 all freeze at the same place. The latest one doesn't even boot without rhgb switch. With rd_NO_LUKS and rd_NO_MD the monitor shows "unsupported mode" sign, and without them the monitor switches off, in both cases the machine freezes.

Comment 4 Adam Williamson 2009-11-07 23:29:15 UTC
what happens if you boot with 'nomodeset'?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 A.C.Heron 2009-11-08 08:28:23 UTC
'nomodeset' didn't help with the testday image, but it did help with RC.3 above. 
RC.3 booted with 'ro liveimg quiet rhgb rd_NO_LUKS rd_NO_MD nomodeset' but didn't boot with 'ro liveimg quiet'.
Testday image booted with 'ro liveimg quiet' but didn't boot with 'ro liveimg quiet rhgb nomodeset' .

Comment 6 Ben Skeggs 2009-11-08 10:58:25 UTC
Do you have an install yet?  If you do, being able to get a kernel log to see why modeset is actually failing would be very useful.  At this stage, without logs, I have no info on what could actually be going on to be able to fix it.

Comment 7 Bug Zapper 2009-11-16 12:14:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Matěj Cepl 2010-02-26 12:16:09 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 9 Jeff Raber 2010-04-23 08:22:34 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.